* {
  box-sizing: border-box;
}

html, body {
    height: 100%;
    font-family: "Arial", Arial, sans-serif;
}

.footer {
    flex-shrink: 0;
}



body {
    margin: 0;
    background-color: lightgrey;
    display: flex;
    flex-direction: column;
}

.button{
    background-color: darkred;
    border: none;
    color: white;
    padding: 12px 18px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: 4px 2px;
    cursor: pointer;
}


/* Navigation */
#navbar{
    overflow: hidden;
    background-color: lightgrey;
    transition: 0.4s;
    position: fixed;
    top: 0;
    border-color: darkred;
    border-bottom-style: solid;
    z-index: 99;
    width:100%;
}

#navbar a{
    float: left;
    display:block;
    font-size: 16px;
    color: black;
    text-align: center;
    padding: 12px 16px;
    text-decoration: none;
    
}

#navbar a.active {
  background-color: darkred;
  color: white;
}


#navbar a:hover{
    background-color: #b41d10;
    color: white;
}

#navbar-right{
    float: right;
}


.column{
    width: 60%;
    padding: 15px;
    background-color: #f1f1f1;
    margin: 10% 20% 2% 20%;
    text-align: center;
    flex: 1 0 auto;
}

footer {
  background-color: #777;
  padding: 1%;
  color: white;
  width: 100%;
    flex-shrink: 0;
}


footer a{
    text-decoration: none;
    color: white;
    position:relative;
    padding: 4px 16px;
}

footer a.active{
    color: black;
    background-color: darkgrey;
}

footer a:hover{
    color: black;
    background-color: darkgrey;
}


@media screen and (max-width: 1200px){
    .column{
        margin-top: 20%;
    }
}

/* 3*3 Grid */
#b1, #b2, #b3, #b4, #b5,
#b6, #b7, #b8, #b9 {
    width: 80px;
    height: 52px;
    margin: auto;
    border: 1px solid darkred;
    border-radius: 6px;
    font-size: 30px;
    text-align: center;
    color: darkred;

}

@media screen and (max-width: 650px){

    #navbar{
        height: 20%;
    }

    #navbar a{
        float: none;
        display: block;
        padding: 2px 2px;
        font-size: 16px;
        margin: 0 0 0 0;
        top: 0;
    }
    #navbar-right{
        float: none;
        margin: 0 0 0 0;
        padding: 0;
        top:0;
    }
    
    #logo{
        display: none;
    }
    
    footer a{
        float: none;
        display: block;
        text-align: left;
        padding: 2px 2px;
        font-size: 16px;
        margin-top: 0;
        top: 0;
    }
    
    footer{
        text-align: center;
    }
    
    #footlink{
        text-align: center;
        float: none;
    }

    .column{
        margin-left: 10%;
        margin-right: 10%;
        width: 80%;
    }

    body{
        padding-top: 20%;
    }
}


@media screen and (max-width: 384px){
    #navbar{
        height: 20%;
    }
    body{
        padding-top: 20%;
    }
}
